summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-12 17:45:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:45:45 +0200
commit312f60ee39934191e62e67ef4b2e66f08f7b5590 (patch)
treef47190e84d616a00e325a59a6de4f9a3834423e2 /system
parentf8ef861de227e0570a4e78333bb0bb53e01ddb28 (diff)
downloadslackbuilds-312f60ee39934191e62e67ef4b2e66f08f7b5590.tar.gz
slackbuilds-312f60ee39934191e62e67ef4b2e66f08f7b5590.tar.xz
system/p7zip: Updated for version 4.65
Diffstat (limited to 'system')
-rw-r--r--system/p7zip/README5
-rw-r--r--system/p7zip/doinst.sh4
-rw-r--r--system/p7zip/p7zip.SlackBuild46
-rw-r--r--system/p7zip/p7zip.info8
4 files changed, 55 insertions, 8 deletions
diff --git a/system/p7zip/README b/system/p7zip/README
index 10ccbe1526..a189598307 100644
--- a/system/p7zip/README
+++ b/system/p7zip/README
@@ -1,2 +1,5 @@
-7-Zip is a well-known file compression utility for windows.
+7-Zip is a well-known file compression utility for windows.
p7zip is a ported version for linux with nearly the same capabilities.
+
+If you want to build the new GUI you have to pass GUI=yes to the script.
+This required either wxGTK or wxPython. \ No newline at end of file
diff --git a/system/p7zip/doinst.sh b/system/p7zip/doinst.sh
new file mode 100644
index 0000000000..f72fb66224
--- /dev/null
+++ b/system/p7zip/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ ./usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
+
diff --git a/system/p7zip/p7zip.SlackBuild b/system/p7zip/p7zip.SlackBuild
index 898e0baf28..d77fc9b902 100644
--- a/system/p7zip/p7zip.SlackBuild
+++ b/system/p7zip/p7zip.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for p7zip
-# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# Copyright 2007-2009 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=p7zip
-VERSION=4.58
+VERSION=4.65
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -35,12 +35,18 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+# building the GUI
+GUI=${GUI:-no}
+
set -e
rm -rf $PKG
@@ -58,12 +64,45 @@ sed -i "s/OPTFLAGS=-O/OPTFLAGS=$SLKCFLAGS/" makefile.machine
make all3 \
DEST_HOME=/usr \
DEST_SHARE_DOC=/usr/doc/$PRGNAM-$VERSION \
+ DEST_SHARE=/usr/lib$LIBDIRSUFFIX/p7zip \
DEST_DIR=$PKG
+
+if ! [ "$GUI" = "no" ]; then
+ make 7zG \
+ DEST_HOME=/usr \
+ DEST_SHARE_DOC=/usr/doc/$PRGNAM-$VERSION \
+ DEST_SHARE=/usr/lib$LIBDIRSUFFIX/p7zip \
+ DEST_DIR=$PKG
+fi
+
make install \
DEST_HOME=/usr \
DEST_SHARE_DOC=/usr/doc/$PRGNAM-$VERSION \
+ DEST_SHARE=/usr/lib$LIBDIRSUFFIX/p7zip \
DEST_DIR=$PKG
+if ! [ "$GUI" = "no" ]; then
+ # Unfortunately we have to install 7zG by hand
+ install -m 555 $PKG/usr/bin/7z $PKG/usr/bin/7zG
+ sed -i "s|/usr/lib$LIBDIRSUFFIX/p7zip/7z|/usr/lib$LIBDIRSUFFIX/p7zip/7zG|" $PKG/usr/bin/7zG
+
+ install -m 555 bin/7zG $PKG/usr/lib$LIBDIRSUFFIX/p7zip/7zG
+ cp -r GUI/Lang $PKG/usr/lib$LIBDIRSUFFIX/p7zip/Lang
+ find $PKG/usr/lib$LIBDIRSUFFIX/p7zip/Lang -type d -exec chmod 555 {} \;
+ find $PKG/usr/lib$LIBDIRSUFFIX/p7zip/Lang -type f -exec chmod 444 {} \;
+
+ cp -r GUI/help $PKG/usr/lib$LIBDIRSUFFIX/p7zip/help
+ find $PKG/usr/lib$LIBDIRSUFFIX/p7zip/help -type d -exec chmod 555 {} \;
+ find $PKG/usr/lib$LIBDIRSUFFIX/p7zip/help -type f -exec chmod 444 {} \;
+
+ install -m 555 GUI/p7zipForFilemanager $PKG/usr/bin/p7zipForFilemanager
+
+ install -m 444 -D GUI/p7zip_16_ok.png $PKG/usr/share/icons/hicolor/16x16/apps/p7zip.png
+
+ mkdir -p $PKG/usr/share/apps/konqueror/servicemenus/
+ cp GUI/kde/*.desktop $PKG/usr/share/apps/konqueror/servicemenus/
+fi
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -77,6 +116,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/p7zip/p7zip.info b/system/p7zip/p7zip.info
index 0a9f27ecad..51d1fa2ec1 100644
--- a/system/p7zip/p7zip.info
+++ b/system/p7zip/p7zip.info
@@ -1,8 +1,8 @@
PRGNAM="p7zip"
-VERSION="4.58"
+VERSION="4.65"
HOMEPAGE="http://p7zip.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/p7zip/p7zip_4.58_src_all.tar.bz2"
-MD5SUM="315b184102c17c4956f53218d973222d"
+DOWNLOAD="http://downloads.sourceforge.net/p7zip/p7zip_4.65_src_all.tar.bz2"
+MD5SUM="f78ed232436dc8f8be25a2f95d4e5f9a"
MAINTAINER="ppr:kut"
EMAIL="pprkut@liwjatan.at"
-APPROVED="rworkman"
+APPROVED="dsomero"